### File

`packages/ecl/components/ecl-multiselect/ecl-multiselect-option/ecl-multiselect-option.component.ts`

### Description

Component representing a single selectable option in the multiselect dropdown.

### Extends

`ECLBaseDirective`

### Implements

`EclMultiselectOption` `OnChanges` `OnDestroy` `OnInit`

### Metadata

HostDirectives | `EclCheckboxDirective`
selector | `div[eclMultiselectOption]`
imports | `BoldTextPipe` `EUI_ECL_CHECKBOX`
templateUrl | `./ecl-multiselect-option.component.html`

### Index

###### Properties
changes eclCheckboxInput keyword
###### Methods
hide highlightSearchText onFocus onOptionClick onOptionKeydown show getCssClasses
###### Inputs
disabled isChecked label value class e2eAttr tabindex
###### Outputs
optionClick optionKeydown
###### HostBindings
class style.display
###### Accessors
value cssClasses isChecked id isActive

### Inputs

disabled
Type : `boolean`
Default value : `false`
Disables the option when true.

isChecked
Type : `boolean`
Indicates whether the option is selected.

label
Type : `string`
Display label for the option.

value
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### Outputs

optionClick
Type : `EventEmitter`
Emits when the option is clicked.

optionKeydown
Type : `EventEmitter`
Emits when a key is pressed while focused on the option.

### HostBindings

class
Type : `string`

style.display
Type : `string`
Default value : `'flex'`

### Methods

hide
`hide()`
Hides the option from view. Returns : `void`

highlightSearchText
`highlightSearchText(keyword: string)`
Sets the keyword for search highlighting. Parameters :
Name | Type | Optional
keyword | `string` | No
Returns : `void`

onFocus
`onFocus()`
Focuses the checkbox input. Returns : `void`

onOptionClick
`onOptionClick()`
Toggles the selected state and emits the optionClick event. Returns : `void`

onOptionKeydown
`onOptionKeydown(evt: KeyboardEvent)`
Emits the optionKeydown event when a key is pressed. Parameters :
Name | Type | Optional
evt | `KeyboardEvent` | No
Returns : `void`

show
`show()`
Makes the option visible. Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

changes
Type : `unknown`
Default value : `new Subject()`

eclCheckboxInput
Type : `ElementRef`
Decorators : `@ViewChild('checkboxInput')`

keyword
Type : `string`
Default value : `''`

### Accessors

value
get `value()`
set `value(value: string)`
Parameters :
Name | Type | Optional
value | `string` | No
Returns : `void`

cssClasses
get `cssClasses()`

isChecked
get `isChecked()`
Indicates whether the option is selected. Returns : `boolean`
set `isChecked(value: boolean)`
Parameters :
Name | Type | Optional
value | `boolean` | No
Returns : `void`

id
get `id()`
Returns the unique identifier for the option. Returns : `string`

isActive
get `isActive()`
Indicates whether the option is active (visible and not disabled). Returns : `boolean`

# results matching ""

# No results matching ""